%define upstream_name    Getopt-AsDocumented
%define upstream_version v0.0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Declare options as pod documentation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Getopt::Base)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::XS)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jan 09 2014 pterjan <pterjan> 0.0.2-2.mga4
+ Revision: 565988
- Tests don't pass with YAML, use YAML::XS

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + jquelin <jquelin>
    - update to v0.0.2

* Sun Jan 13 2013 umeabot <umeabot> 0.0.1-2.mga3
+ Revision: 367693
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 20 2011 jquelin <jquelin> 0.0.1-1.mga2
+ Revision: 156815
- adding missing buildrequires:
- imported package perl-Getopt-AsDocumented


* Thu Oct 20 2011 cpan2dist v0.0.1-1mga
- initial mageia release, generated with cpan2dist
